Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005603TestLinkUsers and Rightspublic2013-04-01 02:552013-05-22 20:57
Reportervirgo0 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSRHELOS Version6.0
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0005603: Assign User Roles of Test Project won't work if only have right "Role assignment"
DescriptionAssign User Roles of Test Project need following two rights to work
1. "User" - "Role assignment"
2. "User" - "User management"

It will get error message if role only has right "Role assignment"
 - Your role configuration do not allow you Assign Roles for Test Projects

Note:
One similar issue, 0005570, reported in "1.9.5 (2012 Q4 - bug fixing)", but closed as "no more user feedback".

Steps To Reproduce1. Fresh install Test Link 1.9.6 or 1.9.6 with full fixed package.
2. Create project "Test_Project_1" (Active, Public)
3. Create user "leader" with role "leader", "tester" with role "tester"
4. Log in as "leader", click "Assign User Roles" under "Test Project", get below error message.
"Your role configuration do not allow you Assign Roles for Test Projects"
Additional InformationRole right of "leader", refer to attachment "0401-001.jpg"
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserChrome 25.0.1364.172 m / Firefox 19.0.2
PHP Version5.3.2
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon 0401-001.jpg [^] (102,177 bytes) 2013-04-01 02:55


jpg file icon 0401-002.jpg [^] (23,635 bytes) 2013-04-01 02:56


jpg file icon 0401-003.jpg [^] (37,130 bytes) 2013-04-01 02:56


jpg file icon 0415-Role leader with tester right in project_can assign user role in project 2_can change user role of project 2.jpg [^] (53,363 bytes) 2013-04-15 06:00


jpg file icon 0415-Role leader with leader right in project 1.jpg [^] (51,868 bytes) 2013-04-15 06:02

- Relationships
related to 0005678closedfman User with right "User" - "Role assignment", can assign user role of test project that he was assigned as "tester". 

-  Notes
(0018687)
fman (administrator)
2013-04-14 16:20

Please get latest code from gitorious, retest and provide feedback
(0018688)
fman (administrator)
2013-04-14 16:21

http://gitorious.org/testlink-ga/testlink-code/commit/cfc9494b68b66abd63507f1afbb8f39ae8439ba5 [^]
(0018689)
virgo0 (reporter)
2013-04-15 05:59

Test with latest code from gitorious (04/15), can assign user role in project if have right "User" - "Role assignment"

New issue found is
User with right "User" - "Role assignment", can assign user role of test project that he was assigned as "tester".

Step to duplicate is
1. Fresh install Test Link 1.9.6 with full fixed package.
2. Create project "Test_Project_1" and "Test_Project_2", both are(Active, Public)
3. Create user "leader" with role "leader", "tester" with role "tester"
4. Set user "leader" as leader in "Test_Project_1" and tester in "Test_Project_2"
5. Log in as "leader", select "Test_Project_2", can see "Assign User Roles" in "Test Project"
6. Click "Assign User Roles" of "Test Project", can change role assignment of "Test Project 2"
(0018850)
fman (administrator)
2013-05-02 18:37

new issue opened to manage situation depicted on note (0018689)

- Issue History
Date Modified Username Field Change
2013-04-01 02:55 virgo0 New Issue
2013-04-01 02:55 virgo0 File Added: 0401-001.jpg
2013-04-01 02:56 virgo0 File Added: 0401-002.jpg
2013-04-01 02:56 virgo0 File Added: 0401-003.jpg
2013-04-14 16:20 fman Note Added: 0018687
2013-04-14 16:20 fman Assigned To => fman
2013-04-14 16:20 fman Status new => feedback
2013-04-14 16:21 fman Note Added: 0018688
2013-04-15 05:59 virgo0 Note Added: 0018689
2013-04-15 05:59 virgo0 Status feedback => assigned
2013-04-15 06:00 virgo0 File Added: 0415-Role leader with tester right in project_can assign user role in project 2_can change user role of project 2.jpg
2013-04-15 06:02 virgo0 File Added: 0415-Role leader with leader right in project 1.jpg
2013-05-02 18:36 fman Relationship added related to 0005678
2013-05-02 18:37 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-05-02 18:37 fman Note Added: 0018850
2013-05-02 18:37 fman Status assigned => resolved
2013-05-02 18:37 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)
2013-05-02 18:37 fman Resolution open => fixed
2013-05-22 20:57 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker